set my_dir = $GENESIS_DIR/sys/scripts/atgen
source $my_dir/init.csh
if (! $?JOB) then
   #
   # open a GUI to select the input directory
   # returns the path to the input data $inputdir 
   #
   echo "Starting Select Inputdir"
   source $my_dir/select_inputdir.csh
   echo "Finish Select Inputdir"
   if ($exit) then
      exit
   endif

   #
   # create a job with the name of the $inputdir 
   # delete job if already exists after query to user otherwise exit
   #
   echo "Starting Create_job"
   source $my_dir/create_job.csh

   echo "Finish Create_job"
   if ($exit) then
      exit
   endif

   set JOB = $job_name
   source $my_dir/init.csh
   COM copy_form,src_job=genesislib,src_form=atgen,dst_job=$JOB,dst_form=atgen
   COM edit_form,job=$JOB,form=atgen,elem=input_dir,value=$dirname_keyb/$dirname
   COM edit_form,job=$JOB,form=atgen,elem=job,value=$JOB
endif
cd $form_scripts
source check_status.csh
source set_colors.csh
COM show_form,job=$JOB,form=atgen
