#!/usr/bin/csh
#
# Matrix
#
source $GENESIS_DIR/sys/scripts/atgen/init.csh
cd $form_scripts

COM open_job,job=$JOB

source check_status.csh
if (! $done_input) then
   PAUSE Please do input before matrix
   exit
endif
if ($done_matrix || $done_dtm || $done_cleanup || $done_contourize || $done_netopt) then
   source delete_checklist.csh
   source delete_etsets.csh
   echo "set done_matrix     = 0" >> $status_file
   echo "set done_dtm        = 0" >> $status_file
   echo "set done_cleanup    = 0" >> $status_file
   echo "set done_contourize = 0" >> $status_file
   echo "set done_netopt     = 0" >> $status_file
   source set_colors.csh
endif

set message = "Please define the matrix layers."

while (1)
   COM open_job,job=$JOB
   COM open_entity,job=$JOB,type=matrix,name=matrix,iconic=no
   PAUSE $message

   source check_status.csh
   if ($done_matrix) then
      COM edit_form,job=$JOB,form=atgen,elem=matrix,color=$done_color
      break
   else 
      set message = "No board layers, try again."
   endif
end
COM matrix_page_close,job=$JOB,matrix=matrix
COM save_job,job=$JOB
