#!/usr/bin/csh

#
# Activate the netlist optimisation screen
# 
source $GENESIS_DIR/sys/scripts/atgen/init.csh
cd $form_scripts

COM open_job,job=$JOB
source check_status.csh
if (! $done_matrix) then
   PAUSE Please correct matrix before netlist optimization
   exit
endif

if (! $done_input) then
   PAUSE Please do input before netlist optimization
   exit
endif

if (! $done_profile) then
   PAUSE Please define profile before netlist optimization
   exit
endif

if (! $done_dtm) then
   PAUSE Please run drill tool manager before netlist optimization
   exit
endif

if ($done_netopt) then
   source delete_etsets.csh
   echo "set done_netopt     = 0" >> $status_file
   source set_colors.csh
endif

COM etm_page_open,job=$JOB,step=$step_name,etm_mode=optimization

COM etm_update_ref_netlist,step=$step_name,source_netlist=current,with_cad_names=no

COM etset_cur,job=$JOB,step=$step_name,etset=1

COM etm_update_ref_netlist,step=$step_name,source_netlist=current,with_cad_names=no

COM etset_create,name=1,adapter=$adapter_name,split=split_1,panel_mode=none,oneup=,oneup_etset=,\
    component_down=no,test_mode=both,other_adapter=

COM etm_gen_com,etset=1,split=split_1,action=open,stage=etm_net,oper=0,dir_path=


if (0) then
   PAUSE Prepare Netlist output

   #
   # Close the netlist opti
   # 

   #Output IPC356A file

   COM etm_out,job=$JOB,step=$step_name,dir_path=C:/opt/genesis/fw/jobs/2402130a07/steps/orig/et/1/split_1/output/,prefix=,suff
ix=,format=ipcd-356a,out_unit=inch,adjacency=yes,tooling=yes,panel_img=yes,use_099=no,trace=yes,min_brush_for_fill=1.000
000,dx=0.000000,dy=0.000000,mirror=no,angle=0,adapter_coord=no,etset=1,split=split_1,tester_type=optimization 

   COM etm_lic_close
endif

# See code at end of line_hooks/etm_out.post

### EOF ###
