#!/usr/bin/csh
    
#---------------------------------------------------
# Genesis doesn't support Uppercase in the jobname.
# Changing from uppercase to lowercase is done here
#---------------------------------------------------

set job_name = `echo $dirname | tr "[A-Z]" "[a-z]"`


#---------------------------------------------------------------- 
# Check if the job exists and give a warning.
# The operator can decide to delete the job or exist the program
#----------------------------------------------------------------


set job_check = `$GENESIS_EDIR/misc/dbutil list jobs $job_name | wc -c`

if ($debug_mode == "yes") echo "->"$job_check"<-"



if ($job_check >  0 ) then

    
    echo "WIN 500 400" 					 > $GUI_DATA
    echo "BW 1" 					>> $GUI_DATA
    echo "FONT tbr18" 					>> $GUI_DATA
    echo "BG 777777" 					>> $GUI_DATA
    echo "FG 000000" 					>> $GUI_DATA
    echo "LABEL Job Already Exists" 			>> $GUI_DATA
    echo "RADIO job_delete  choose H 1 990000" 		>> $GUI_DATA
    echo "New Name" 					>> $GUI_DATA
    echo "Delete" 					>> $GUI_DATA
    echo "Exit"         				>> $GUI_DATA
    echo "END" 						>> $GUI_DATA
    gui $GUI_DATA > $GUI_RESP
    while (-z $GUI_RESP)
       sleep 1
    end
    source $GUI_RESP;rm $GUI_RESP
    
    if ($job_delete == 3) then  # Exit
	    set exit = 1
	    exit
    endif
    if ($job_delete == 1) then  # New name existing job
	    while (1)
	      echo "WIN 500 400" 					 > $GUI_DATA
  	    echo "BW 1" 					>> $GUI_DATA
	      echo "FONT tbr18" 					>> $GUI_DATA
	      echo "BG 777777" 					>> $GUI_DATA
	      echo "FG 000000" 					>> $GUI_DATA
	      echo "LABEL Job $job_name already Exists" 			>> $GUI_DATA
	      echo "TEXT new_jobname 20 New Jobname"   		>> $GUI_DATA
	      echo "DTEXT new_jobname"                                >> $GUI_DATA
	    
	      echo "END" 						>> $GUI_DATA
	      $GUI $GUI_DATA > $GUI_RESP
	      while (-z $GUI_RESP)
	         sleep 1
	      end
	      source $GUI_RESP;rm $GUI_RESP

	      set job_name = `echo $new_jobname | tr "[A-Z]" "[a-z]"` # translate new_jobname to lower case

	      set job_check = `$GENESIS_EDIR/misc/dbutil list jobs $job_name | wc -c` # check if new job already exists

	      if ($job_check == 0) then # continue if new jobname does not exist
		      break
	      endif    
	    end
    else # delete
	    VOF
	    COM close_job,job=$job_name
	    VON
	    COM delete_entity,job=,type=job,name=$job_name
    endif
endif

COM create_entity,job=,is_fw=no,type=job,name=$job_name,db=genesis
COM open_job,job=$job_name

#
#Create the step
#

COM create_entity,job=$job_name,is_fw=no,type=step,name=$step_name,db=genesis,fw_type=form
set exit = 0
### EOF ###
